curl --request PUT \
--url https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
},
"productCode": "<string>",
"emailVerified": true,
"drivinglicenseIssuingAuthority": "<string>",
"drivinglicenseIssuingDate": "2025-10-17T00:00:00.000Z",
"drivinglicenseNumber": "<string>",
"identificationIssuingAuthority": "<string>",
"identificationIssuingDate": "2025-10-17T00:00:00.000Z",
"identificationNumber": "<string>",
"identificationType": "<string>",
"customerAccounts": {}
}
'import requests
url = "https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users/{customerId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
},
"productCode": "<string>",
"emailVerified": True,
"drivinglicenseIssuingAuthority": "<string>",
"drivinglicenseIssuingDate": "2025-10-17T00:00:00.000Z",
"drivinglicenseNumber": "<string>",
"identificationIssuingAuthority": "<string>",
"identificationIssuingDate": "2025-10-17T00:00:00.000Z",
"identificationNumber": "<string>",
"identificationType": "<string>",
"customerAccounts": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
dateOfBirth: '2025-10-17T00:00:00.000Z',
phone: '<string>',
contactAddress: {
address: '<string>',
city: '<string>',
zipCode: '<string>',
federalState: '<string>'
},
billingAddress: {
address: '<string>',
city: '<string>',
zipCode: '<string>',
federalState: '<string>',
company: '<string>',
vatNumber: '<string>'
},
productCode: '<string>',
emailVerified: true,
drivinglicenseIssuingAuthority: '<string>',
drivinglicenseIssuingDate: '2025-10-17T00:00:00.000Z',
drivinglicenseNumber: '<string>',
identificationIssuingAuthority: '<string>',
identificationIssuingDate: '2025-10-17T00:00:00.000Z',
identificationNumber: '<string>',
identificationType: '<string>',
customerAccounts: {}
})
};
fetch('https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"emailVerified": true,
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"email": "<string>",
"productCode": "<string>",
"productSubscriptionStart": "<string>",
"productSubscriptionEnd": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
},
"driversLicense": {
"licenseType": "<string>",
"issuingAuthority": "<string>",
"licenseNumber": "<string>",
"issueDate": "2025-10-17T00:00:00.000Z",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>"
}
]
},
"identificationDocument": {
"documentType": "<string>",
"issuingAuthority": "<string>",
"documentNumber": "<string>",
"issueDate": "2025-10-17T00:00:00.000Z",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>"
}
]
}
}Update user
Update a user under the selected mobility provider with the specified UUID (only v1 to v4 are supported)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the mobility provider the user is registered under
2The three-character code of the mobility provider the user is registered under
3The user id in UUID format (only the versions 1, 2, 3 and 4 are currently supported)
Body
The request body contains the user information that should be replace the other one under the specified UUID
Customer first name
Customer last name
Customer date of birth
"2025-10-17T00:00:00.000Z"
de, en Customer phone number
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Private, Company Key/Id of chosen mobility product
New, Incomplete, Pending, Active, Blocked, Inactive drivinglicenseIssuingAuthority
drivinglicenseIssuingDate
"2025-10-17T00:00:00.000Z"
drivinglicenseNumber
identificationIssuingAuthority
identificationIssuingDate
"2025-10-17T00:00:00.000Z"
identificationNumber
identificationType
Show child attributes
Show child attributes
Response
The updated user
Customer id
de, en Is customer email verified
Private, Company Customer first name
Customer last name
Customer date of birth
"2025-10-17T00:00:00.000Z"
Customer phone number
Customer email address
Code of chosen mobility product
Subscription start date of chosen mobility product
Subscription end date of chosen mobility product
New, Incomplete, Pending, Active, Blocked, Inactive Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

